Bug 71390 - change-request: add add-plist-perl in bsd.port.mk
change-request: add add-plist-perl in bsd.port.mk
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Anton Berezin
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-05 09:10 UTC by leeym
Modified: 2005-02-02 09:55 UTC (History)
0 users

See Also:


Attachments
bsd.port.mk.diff (1000 bytes, patch)
2004-09-05 09:10 UTC, leeym
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description leeym 2004-09-05 09:10:28 UTC
- remove %%SITE_PERL%%/%%PERL_ARCH%%/auto if it's empty.

How-To-Repeat: 
http://pointyhat.freebsd.org/errorlogs/i386-5-full-logs/extras.html
Comment 1 leeym freebsd_committer 2004-09-05 09:54:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

portmgr territory
Comment 2 eikemeier 2004-09-05 10:35:43 UTC
Yen-Ming Lee wrote:

> +	${ECHO_CMD} "@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/auto 
> 2>/dev/null || true" >> ${TMPPLIST}

I'm not sure whether this line doesn't belong into lang/perl{5,5.8}. 
Opinions?
-Oliver
Comment 3 leeym freebsd_committer 2004-09-05 16:31:11 UTC
On Sun, Sep 05, 2004 at 11:35:43AM +0200, Oliver Eikemeier wrote:
> Yen-Ming Lee wrote:
> 
> >+	${ECHO_CMD} "@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/auto 
> >2>/dev/null || true" >> ${TMPPLIST}
> 
> I'm not sure whether this line doesn't belong into lang/perl{5,5.8}. 
> Opinions?
> -Oliver

It belongs to lang/perl5.8, but not to lang/perl5.
However, a lot of p5-* ports are still listed in extras report because of it.

http://pointyhat.freebsd.org/errorlogs/i386-5-full-logs/extras.html

-- 
Yen-Ming Lee [utf7:+Z05fZWYO] | KeyID:0x5EB52E51 | Taipei, Taiwan
Comment 4 clsung 2004-09-05 16:59:57 UTC
Hi, 

In my experiments, ports that defined PERL_MODBUILD (also define
PERL_CONFIGURE) won't generate %%SITE_PERL%%/%%PERL_ARCH%%/auto..

so, maybe committed with minor changes?

clsung
On Sun, Sep 05, 2004 at 04:00:06PM +0800, Yen-Ming Lee wrote:
> 
> >Number:         71390
> >Category:       ports
> >Synopsis:       change-request: add add-plist-perl in bsd.port.mk
> >Confidential:   no
> >Severity:       non-critical
> >Priority:       low
> >Responsible:    freebsd-ports-bugs
> >State:          open
> >Quarter:        
> >Keywords:       
> >Date-Required:
> >Class:          change-request
> >Submitter-Id:   current-users
> >Arrival-Date:   Sun Sep 05 08:10:28 GMT 2004
> >Closed-Date:
> >Last-Modified:
> >Originator:     Yen-Ming Lee
> >Release:        FreeBSD 5.3-BETA3 i386
> >Organization:
> >Environment:
> System: FreeBSD utopia.leeym.com 5.3-BETA3 FreeBSD 5.3-BETA3 #1: Sun Sep 5 01:06:46 CST 2004 root@utopia.leeym.com:/usr/obj/usr/src/sys/UTOPIA i386
> 
> 
> 	
> >Description:
> 
> - remove %%SITE_PERL%%/%%PERL_ARCH%%/auto if it's empty.
> 
> >How-To-Repeat:
> 
> http://pointyhat.freebsd.org/errorlogs/i386-5-full-logs/extras.html
> 
> >Fix:
> 
> 	
> 
> --- bsd.port.mk.diff begins here ---
> --- /usr/ports/Mk/bsd.port.mk	Wed Aug  4 03:03:58 2004
> +++ bsd.port.mk	Sun Sep  5 15:23:30 2004
> @@ -3555,6 +3555,7 @@
>  _INSTALL_SUSEQ= check-umask install-mtree pre-su-install \
>  				pre-su-install-script do-install post-install \
>  				post-install-script add-plist-info add-plist-docs \
> +				add-plist-perl \
>  				compress-man run-ldconfig fake-pkg security-check
>  _PACKAGE_DEP=	install
>  _PACKAGE_SEQ=	package-message pre-package pre-package-script \
> @@ -4658,6 +4659,14 @@
>  .endfor
>  .if !defined(NO_MTREE)
>  	@${ECHO_CMD} "@unexec if [ -f %D/${INFO_PATH}/dir ]; then if sed -e '1,/Menu:/d' %D/${INFO_PATH}/dir | grep -q '^[*] '; then true; else rm %D/${INFO_PATH}/dir; fi; fi" >> ${TMPPLIST}
> +.endif
> +
> +# Remove perl arch-depended directory if it's empty.
> +.if !target(add-plist-perl)
> +add-plist-perl:
> +.if defined(PERL_CONFIGURE)
> +	${ECHO_CMD} "@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/auto 2>/dev/null || true" >> ${TMPPLIST}
> +.endif
>  .endif
>  
>  # Compress (or uncompress) and symlink manpages.
> --- bsd.port.mk.diff ends here ---
> 
> 
> >Release-Note:
> >Audit-Trail:
> >Unformatted:
> _______________________________________________
> freebsd-ports-bugs@freebsd.org mailing list
> http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
> To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"
Comment 5 Anton Berezin freebsd_committer 2004-09-06 08:25:10 UTC
On Sun, Sep 05, 2004 at 11:31:11PM +0800, Yen-Ming Lee wrote:
> On Sun, Sep 05, 2004 at 11:35:43AM +0200, Oliver Eikemeier wrote:
> > Yen-Ming Lee wrote:
> > 
> > >+	${ECHO_CMD} "@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/auto 
> > >2>/dev/null || true" >> ${TMPPLIST}
> > 
> > I'm not sure whether this line doesn't belong into lang/perl{5,5.8}. 
> > Opinions?
> > -Oliver
> 
> It belongs to lang/perl5.8, but not to lang/perl5.
> However, a lot of p5-* ports are still listed in extras report because of it.

Ok, I'll put it in there together with obrien's suggestions about
use.perl, in a couple of days, portmgr permitting.  :-)

> http://pointyhat.freebsd.org/errorlogs/i386-5-full-logs/extras.html

=Anton.
-- 
The moronity of the universe is a monotonically increasing function. --
Jarkko Hietaniemi
Comment 6 kris 2004-10-15 23:34:41 UTC
Was this ever taken care of?

Kris
Comment 7 leeym freebsd_committer 2004-10-16 16:27:34 UTC
On Fri, Oct 15, 2004 at 06:34:41PM -0400, Kris Kennaway wrote:
> Was this ever taken care of?

It seems that tobez@ is waiting portmgr's permission for committing...
-- 
Yen-Ming Lee [utf7:+Z05fZWYO] | KeyID:0x5EB52E51 | Taipei, Taiwan
Comment 8 krion freebsd_committer 2004-11-05 09:40:06 UTC
Responsible Changed
From-To: portmgr->tobez

tobez will take care of this patch because it belongs to 
lang/perl5
Comment 9 Anton Berezin freebsd_committer 2005-02-02 09:55:03 UTC
State Changed
From-To: open->closed

Fixed in both lang/perl5.8 and lang/perl5.